"outline: simple line" layer problem when rendering with non-zero offset values

2011-08-15 05:13 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Alvaro Huarte

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14151

Description

The subject pretty much says it all. QGIS master has issues rendering an "outline: simple line" layer when the offset is not set to zero.

I'm classifying this as a bug as IMO the desired rendering is for outline with positive offsets to redraw a shrink-ed polygon shape with the

extra end bits.

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-05-02 09:55 PM - Mathieu Pellerin - nIRV

- Status changed from Open to Closed

- Assignee set to Alvaro Huarte

- Resolution set to fixed/implemented

Mostly fixed by Alvaros' weeks-old commits. Follow ups have issues filed already, closing.

#5 - 2014-05-03 01:16 AM - Alvaro Huarte

Hi, related to this there is still a PR (https://github.com/qgis/QGIS/pull/1290) that has not been merged.

Best regards
